Bug 77030 - Installer won't modify an existing install, will only start over or do upgrade of existing packages
Installer won't modify an existing install, will only start over or do upgrad...
Status: CLOSED DUPLICATE of bug 76947
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-10-30 23:17 EST by Joseph Shraibman
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-31 15:15:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Shraibman 2002-10-30 23:17:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
If an installation of redhat is messed up (see bug 77020), or you somehow didn't
install any text editors and can't modify the config files on your machine, the
installer can't fix the installation.  All it will do is perform an automatic
upgrade, or make you start from scratch by deleting all existing partitions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Reproduce bug 77020, then try to fix it.

Actual Results:  I had to wipe away the install and start over. Luckily I had
only put in an hour's worth of setup. If this had been in production use sever
data loss would have resulted.

Why does the installer insist on blowing away all existing partitions? Why can't
the installer add/remove packages from an existing installation?

Expected Results:  The installer should
a) let you use existing partitions
b) let you modify an existing install
c) let you resintall the kernel/boot loader
Comment 1 Michael Fulbright 2002-10-31 14:51:20 EST
Mostly a dupe of bug 76947.

You will want to use redhat-config-packages to handle an existing installation.

*** This bug has been marked as a duplicate of 76947 ***
Comment 2 Joseph Shraibman 2002-10-31 15:15:47 EST
In what way is this a dupe of bug 76947?  That bug is about how an upgrade
fouled up the boot loader. This is about how the install/upgrade disks don't let
you install over an existing install.  And redhat-config-packages only works if
a) it is installed and b) you can use X and c) I don't think installing a boot
loader should be a part of redhat-config-packages, whereas it already is part of
the installer.

BTW what does redhat-config-kickstart do?  I can't tell because I can't run X.
Comment 3 Michael Fulbright 2002-10-31 15:20:57 EST
It is a dupe because the other bug is about the fact that you are not given a
chance to rewrite a bootloader if you do an upgrade and the kernel is not
installed (because you're running it on an upgraded system).

If you installed such a stripped down system you cannot run our userland tools
then you're only option is to reinstall or do it manually.

If you would like to open a bug against redhat-config-packages that it should
have a text-mode interface that might address your concerns.

*** This bug has been marked as a duplicate of 76947 ***

Note You need to log in before you can comment on or make changes to this bug.